Subject: Re: [PATCH V6 mlx5-next 10/15] vfio: Remove migration protocol v1

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 1 Feb 2022 20:28:34 -0400

On Tue, Feb 01, 2022 at 04:01:06PM -0700, Alex Williamson wrote:

> Agreed that v1 migration TYPE/SUBTYPE should live in infamy as
> reserved, but I'm not sure why we need to make the rest of it a big
> complicated problem.  On one hand, leaving stubs for the necessary
> structure and macros until QEMU gets updated doesn't seem so terrible.
> Nor actually does letting the next QEMU header update cause build
> breakages, which would probably frustrate the person submitting that
> update, but it's not like QEMU hasn't done selective header updates in
> the past.  The former is probably the more friendly approach if we
> don't outrage someone in the kernel community in the meantime.

So lets drop the removal patch and keep the V1 rename, it is easy for
qemu to follow along with this.

Sometime later we can purge all the dead things from the header, eg
the POWERNV stuff we left behind last year as well.

Thanks,
Jason